KCTREETEST(1)

NAME
kctreetest - command line interface to test the file tree database

DESCRIPTION

The command `kctreetest' is a utility for facility test and performance test of the file tree database. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kctreetest order [-th num] [-rnd] [-set|-get|-getw|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-psiz num] [-msiz num] [-dfunit num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs in-order tests.
    kctreetest queue [-th num] [-it num] [-rnd] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-psiz num] [-msiz num] [-dfunit num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs queuing operations.
    kctreetest wicked [-th num] [-it num] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-psiz num] [-msiz num] [-dfunit num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs mixed operations selected at random.
    kctreetest tran [-th num] [-it num] [-hard] [-oat|-onl|-onl|-otl|-onr] [-apow num] [-fpow num] [-ts] [-tl] [-tc] [-bnum num] [-psiz num] [-msiz num] [-dfunit num] [-pccap num] [-rcd|-rcld|-rcdd] [-lv] path rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -getw : performs getting with a buffer operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -apow num : specifies the power of the alignment of record size.
    -fpow num : specifies the power of the capacity of the free block pool.
    -ts : tunes the database with the small option.
    -tl : tunes the database with the linear option.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -psiz num : specifies the size of each page.
    -msiz num : specifies the size of the memory-mapped region.
    -dfunit num : specifies the unit step number of auto defragmentation.
    -pccap num : specifies the capacity size of the page cache.
    -rcd : use the decimal comparator instead of the lexical one.
    -rcld : use the lexical descending comparator instead of the ascending one.
    -rcdd : use the decimal descending comparator instead of the lexical one.
    -lv : reports all errors.
    -it num : specifies the number of repetition.
    -hard : performs physical synchronization.

This command returns 0 on success, another on failure.

SEE ALSO

kctreemgr(1)